## yacas 1.3.6

=== CMakeLists.txt ===
cmake_minimum_required (VERSION 2.8.7)

option (ENABLE_DOCS "generate documentation" OFF)
option (ENABLE_JYACAS "build the Java yacas engine" OFF)

if (APPLE)
#  if(CMAKE_INSTALL_PREFIX_INITIALIZED_TO_DEFAULT)
    SET(CMAKE_INSTALL_PREFIX "/usr/" CACHE PATH "Yacas install prefix" FORCE)
#  endif(CMAKE_INSTALL_PREFIX_INITIALIZED_TO_DEFAULT)

  set(CMAKE_MACOSX_RPATH 1)
  set(CMAKE_FRAMEWORK_INSTALL_DIR "/Library/Frameworks" CACHE STRING "Directory to install frameworks to.")
endif()

if (ENABLE_JYACAS)
  find_package (Java)
  include (${CMAKE_ROOT}/Modules/UseJava.cmake)
  project (YACAS CXX Java)
else ()
  project (YACAS CXX C)
endif ()


if ("${CMAKE_CXX_COMPILER_ID}" STREQUAL "GNU" OR "${CMAKE_CXX_COMPILER_ID}" STREQUAL "Clang")
    set (CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -pedantic -Wall -std=c++11")
elseif ("${CMAKE_CXX_COMPILER_ID}" STREQUAL "MSVC")
    add_definitions(-DYACAS_NO_CONSTEXPR -DYACAS_NO_ATOMIC_TYPES)
endif ()

set (YACAS_VERSION_MAJOR 1)
set (YACAS_VERSION_MINOR 3)
set (YACAS_VERSION_MICRO 6)

set (YACAS_VERSION ${YACAS_VERSION_MAJOR}.${YACAS_VERSION_MINOR}.${YACAS_VERSION_MICRO})

include (CMakeLists-conf.txt)

if (APPLE OR WIN32)
    add_definitions(-DNO_GLOBALS)
endif ()

include_directories(
  "${PROJECT_SOURCE_DIR}/include"	
  "${PROJECT_BINARY_DIR}/include"
  "${PROJECT_BINARY_DIR}"
  )

set (YACAS_LIB_SOURCES src/stdcommandline.cpp src/deffile.cpp src/infixparser.cpp src/lispatom.cpp src/lispcleanupstack.cpp src/lispenvironment.cpp src/lispeval.cpp src/lisperror.cpp src/lispio.cpp src/lispobject.cpp src/lispparser.cpp src/lispuserfunc.cpp src/mathcommands.cpp src/mathuserfunc.cpp src/standard.cpp src/stdfileio.cpp src/arggetter.cpp src/stringio.cpp src/tokenizer.cpp src/yacasapi.cpp src/lispevalhash.cpp src/patterns.cpp src/patternclass.cpp src/substitute.cpp src/mathcommands2.cpp src/mathcommands3.cpp src/errors.cpp src/patcher.cpp src/genericstructs.cpp src/xmltokenizer.cpp src/commandline.cpp src/anumber.cpp src/yacasnumbers.cpp src/numbers.cpp src/platmath.cpp src/stdstubs.cpp src/obmalloc.cpp src/lisphash.cpp src/yacasbase.cpp src/debugmem.cpp)

set (YACAS_COMMON_SOURCES src/yacasmain.cpp)

set (YACAS_UNIX_SOURCES src/unixcommandline.cpp)
set (YACAS_WIN32_SOURCES src/win32commandline.cpp res/yacas.rc)

if (UNIX)
  set (YACAS_SOURCES ${YACAS_COMMON_SOURCES} ${YACAS_UNIX_SOURCES})
else ()
  set (YACAS_SOURCES ${YACAS_COMMON_SOURCES} ${YACAS_WIN32_SOURCES})
endif ()

set (YACAS_STATIC_SCRIPTS scripts/standard.ys scripts/stdarith.ys scripts/stdopers.ys scripts/yacasinit.ys scripts/standard.ys.def scripts/stdarith.ys.def scripts/array.rep/code.ys scripts/assoc.rep/code.ys scripts/base.rep/math.ys scripts/c_form.rep/code.ys scripts/calendar.rep/code.ys scripts/complex.rep/code.ys scripts/complex.rep/om.ys scripts/constants.rep/code.ys scripts/constants.rep/om.ys scripts/controlflow.rep/code.ys scripts/debug.rep/code.ys scripts/deffunc.rep/code.ys scripts/deriv.rep/code.ys scripts/example.rep/code.ys scripts/factors.rep/binaryfactors.ys scripts/factors.rep/code.ys scripts/functional.rep/code.ys scripts/functional.rep/om.ys scripts/graph.rep/code.ys scripts/html.rep/code.ys scripts/integrate.rep/code.ys scripts/integrate.rep/om.ys scripts/io.rep/code.ys scripts/io.rep/defaultprint.ys scripts/io.rep/errors.ys scripts/io.rep/formula.ys scripts/io.rep/print.ys scripts/limit.rep/code.ys scripts/limit.rep/om.ys scripts/linalg.rep/code.ys scripts/lists.rep/code.ys scripts/lists.rep/scopestack.ys scripts/localrules.rep/code.ys scripts/logic.rep/code.ys scripts/logic.rep/om.ys scripts/multivar.rep/code.ys scripts/multivar.rep/makemulti.ys scripts/multivar.rep/sparsenomial.ys scripts/multivar.rep/sparsetree.ys scripts/newly.rep/code.ys scripts/numbers.rep/GaussianIntegers.ys scripts/numbers.rep/NumberTheory.ys scripts/numbers.rep/code.ys scripts/numbers.rep/nthroot.ys scripts/numbers.rep/om.ys scripts/odesolver.rep/code.ys scripts/openmath.rep/code.ys scripts/orthopoly.rep/code.ys scripts/padic.rep/code.ys scripts/patterns.rep/code.ys scripts/plots.rep/backends-2d.ys scripts/plots.rep/backends-3d.ys scripts/plots.rep/code.ys scripts/plots.rep/plot2d.ys scripts/plots.rep/plot3d.ys scripts/predicates.rep/code.ys scripts/probability.rep/code.ys scripts/pslq.rep/code.ys scripts/rabinmiller.rep/code.ys scripts/radsimp.rep/code.ys scripts/random.rep/code.ys scripts/simplify.rep/code.ys scripts/simplify.rep/factorial.ys scripts/solve.rep/code.ys scripts/specfunc.rep/bernou.ys scripts/specfunc.rep/bessel.ys scripts/specfunc.rep/code.ys scripts/specfunc.rep/gamma.ys scripts/specfunc.rep/gammaconst.ys scripts/specfunc.rep/om.ys scripts/specfunc.rep/zeta.ys scripts/statistics.rep/distributions.ys scripts/statistics.rep/hypothesystest.ys scripts/statistics.rep/incompletegamma.ys scripts/statistics.rep/randomtest.ys scripts/statistics.rep/regression.ys scripts/statistics.rep/statistics.ys scripts/stats.rep/code.ys scripts/stdfuncs.rep/code.ys scripts/stdfuncs.rep/elemfuncs.ys scripts/stdfuncs.rep/numerical.ys scripts/stdfuncs.rep/nummethods.ys scripts/stdfuncs.rep/om.ys scripts/stubs.rep/code.ys scripts/stubs.rep/om.ys scripts/substitute.rep/code.ys scripts/sums.rep/code.ys scripts/sums.rep/om.ys scripts/sums.rep/taylor.ys scripts/sums.rep/taylor3.ys scripts/tensor.rep/code.ys scripts/testers.rep/code.ys scripts/texform.rep/code.ys scripts/transforms.rep/code.ys scripts/trigsimp.rep/code.ys scripts/univar.rep/Cyclotomic.ys scripts/univar.rep/code.ys scripts/univar.rep/sparse.ys scripts/univar.rep/sturm.ys scripts/array.rep/code.ys.def scripts/assoc.rep/code.ys.def scripts/base.rep/math.ys.def scripts/c_form.rep/code.ys.def scripts/calendar.rep/code.ys.def scripts/complex.rep/code.ys.def scripts/constants.rep/code.ys.def scripts/controlflow.rep/code.ys.def scripts/debug.rep/code.ys.def scripts/deffunc.rep/code.ys.def scripts/deriv.rep/code.ys.def scripts/example.rep/code.ys.def scripts/factors.rep/binaryfactors.ys.def scripts/factors.rep/code.ys.def scripts/functional.rep/code.ys.def scripts/graph.rep/code.ys.def scripts/html.rep/code.ys.def scripts/integrate.rep/code.ys.def scripts/io.rep/code.ys.def scripts/io.rep/defaultprint.ys.def scripts/limit.rep/code.ys.def scripts/linalg.rep/code.ys.def scripts/lists.rep/code.ys.def scripts/lists.rep/scopestack.ys.def scripts/localrules.rep/code.ys.def scripts/logic.rep/code.ys.def scripts/multivar.rep/code.ys.def scripts/multivar.rep/sparsetree.ys.def scripts/newly.rep/code.ys.def scripts/numbers.rep/GaussianIntegers.ys.def scripts/numbers.rep/NumberTheory.ys.def scripts/numbers.rep/code.ys.def scripts/numbers.rep/nthroot.ys.def scripts/odesolver.rep/code.ys.def scripts/openmath.rep/code.ys.def scripts/orthopoly.rep/code.ys.def scripts/padic.rep/code.ys.def scripts/patterns.rep/code.ys.def scripts/plots.rep/code.ys.def scripts/plots.rep/plot2d.ys.def scripts/plots.rep/plot3d.ys.def scripts/predicates.rep/code.ys.def scripts/probability.rep/code.ys.def scripts/pslq.rep/code.ys.def scripts/rabinmiller.rep/code.ys.def scripts/radsimp.rep/code.ys.def scripts/random.rep/code.ys.def scripts/simplify.rep/code.ys.def scripts/simplify.rep/factorial.ys.def scripts/solve.rep/code.ys.def scripts/specfunc.rep/bernou.ys.def scripts/specfunc.rep/bessel.ys.def scripts/specfunc.rep/code.ys.def scripts/specfunc.rep/gamma.ys.def scripts/specfunc.rep/gammaconst.ys.def scripts/specfunc.rep/zeta.ys.def scripts/statistics.rep/distributions.ys.def scripts/statistics.rep/hypothesystest.ys.def scripts/statistics.rep/incompletegamma.ys.def scripts/statistics.rep/regression.ys.def scripts/statistics.rep/statistics.ys.def scripts/stats.rep/code.ys.def scripts/stdfuncs.rep/code.ys.def scripts/stdfuncs.rep/elemfuncs.ys.def scripts/stdfuncs.rep/numerical.ys.def scripts/stdfuncs.rep/nummethods.ys.def scripts/stubs.rep/code.ys.def scripts/substitute.rep/code.ys.def scripts/sums.rep/code.ys.def scripts/sums.rep/taylor.ys.def scripts/sums.rep/taylor3.ys.def scripts/tensor.rep/code.ys.def scripts/testers.rep/code.ys.def scripts/texform.rep/code.ys.def scripts/transforms.rep/code.ys.def scripts/trigsimp.rep/code.ys.def scripts/univar.rep/Cyclotomic.ys.def scripts/univar.rep/code.ys.def scripts/univar.rep/sparse.ys.def scripts/univar.rep/sturm.ys.def )
set (YACAS_GENERATED_SCRIPTS ${PROJECT_BINARY_DIR}/scripts/corefunctions.ys ${PROJECT_BINARY_DIR}/scripts/packages.ys )

set (YACAS_SCRIPTS ${YACAS_STATIC_SCRIPTS} ${YACAS_GENERATED_SCRIPTS})

add_library (libyacas_static STATIC ${YACAS_LIB_SOURCES})
add_library (libyacas_shared SHARED ${YACAS_LIB_SOURCES})

if (WIN32 AND CMAKE_CROSSCOMPILING)
  target_link_libraries (libyacas_shared pthread)
endif()

set_target_properties(libyacas_static PROPERTIES OUTPUT_NAME "yacas")
set_target_properties(libyacas_shared PROPERTIES OUTPUT_NAME "yacas" SOVERSION 1.0.0) 

#to generate yacas framework on macos:
if (APPLE)
  add_library (libyacas_framework SHARED ${YACAS_LIB_SOURCES})
  set_target_properties(libyacas_framework PROPERTIES OUTPUT_NAME "yacas" VERSION ${YACAS_VERSION} SOVERSION 1.0.0 FRAMEWORK ON)
  add_custom_command(TARGET libyacas_framework POST_BUILD COMMAND ${CMAKE_COMMAND} -E copy_directory ${PROJECT_SOURCE_DIR}/scripts $<TARGET_FILE_DIR:libyacas_framework>/Resources/scripts)
  add_custom_command(TARGET libyacas_framework POST_BUILD COMMAND ${CMAKE_COMMAND} -E copy_directory ${PROJECT_BINARY_DIR}/scripts $<TARGET_FILE_DIR:libyacas_framework>/Resources/scripts)
  add_custom_command(TARGET libyacas_framework POST_BUILD COMMAND ${CMAKE_COMMAND} -E copy_directory ${PROJECT_SOURCE_DIR}/include $<TARGET_FILE_DIR:libyacas_framework>/Headers)
  add_custom_command(TARGET libyacas_framework POST_BUILD COMMAND ${CMAKE_COMMAND} -E copy_directory ${PROJECT_BINARY_DIR}/include $<TARGET_FILE_DIR:libyacas_framework>/Headers)
  add_custom_command(TARGET libyacas_framework POST_BUILD COMMAND ln -sf  $<TARGET_FILE_DIR:libyacas_framework>/Headers $<TARGET_FILE_DIR:libyacas_framework>/../../Headers)

  install (TARGETS libyacas_framework FRAMEWORK DESTINATION ${CMAKE_FRAMEWORK_INSTALL_DIR} COMPONENT framework)
endif()

install (TARGETS libyacas_static ARCHIVE DESTINATION lib COMPONENT dev)

if (APPLE)
  install (TARGETS libyacas_shared LIBRARY DESTINATION lib COMPONENT app)
else()
  install (TARGETS libyacas_shared LIBRARY DESTINATION lib ARCHIVE DESTINATION lib RUNTIME DESTINATION bin COMPONENT app)
endif()


add_executable (yacas ${YACAS_SOURCES})

if (APPLE)
    set_target_properties(yacas PROPERTIES INSTALL_RPATH "@loader_path/../lib")
endif()

target_link_libraries (yacas libyacas_static)

if (WIN32)
  target_link_libraries (yacas wsock32 ws2_32 shlwapi)
endif()

add_executable (gencorefunctions src/gencorefunctions.cpp)

add_executable (autocompleter docs/autocompleter.cpp)
add_executable (riptestfromyart docs/riptestfromyart.cpp)

add_executable (manripper manmake/manripper.cpp)
add_executable (removeduplicates manmake/removeduplicates.cpp)

if (CMAKE_CROSSCOMPILING)
  set (YACAS ${YACAS_NATIVE_BUILD}/yacas)

  add_custom_command (
    OUTPUT ${PROJECT_BINARY_DIR}/scripts/corefunctions.ys
    COMMAND ${YACAS_NATIVE_BUILD}/gencorefunctions
    ARGS > ${PROJECT_BINARY_DIR}/scripts/corefunctions.ys
    DEPENDS ${YACAS_NATIVE_BUILD}/gencorefunctions)
else ()
  set (YACAS ${PROJECT_BINARY_DIR}/yacas)

  add_custom_command (
    OUTPUT ${PROJECT_BINARY_DIR}/scripts/corefunctions.ys
    COMMAND ${PROJECT_BINARY_DIR}/gencorefunctions
    ARGS > ${PROJECT_BINARY_DIR}/scripts/corefunctions.ys
    DEPENDS ${PROJECT_BINARY_DIR}/gencorefunctions)
endif ()

if (ENABLE_DOCS)
    include (CMakeLists-docs.txt)
endif()

foreach (_script ${YACAS_SCRIPTS})
  if (${_script} MATCHES ".+def$")
    string (REPLACE scripts/ "" _script ${_script})
    string (REPLACE .def "" _script ${_script})
    list (APPEND YACAS_PACKAGES_LIST ${_script})
  endif ()
endforeach ()

list (SORT YACAS_PACKAGES_LIST)
list (REMOVE_DUPLICATES YACAS_PACKAGES_LIST)

set (YACAS_PACKAGES "Defun(DefFileList,{}) {\n")
foreach (_package ${YACAS_PACKAGES_LIST})

## yacas 1.2.2

=== debian/changelog ===
yacas (1.2.2-6) unstable; urgency=low

  * Bump Standards-Version to 3.9.2. No changes were needed. 
  * Maintainer's mail has been changed.
  * Switch to dpkg-source 3.0 (quilt) format.
  * Build with -fpermissive. LP: #832827. (Closes: #624980). Thanks to 
    Matthias Klose for providing a patch. 

 -- Muammar El Khatib <muammar@debian.org>  Sun, 18 Sep 2011 11:30:02 +0200

yacas (1.2.2-5) unstable; urgency=low

  * Bump Standards-Version to 3.8.4
  * debian/watch file has been fixed. 
  * debian/patches: 02_changing_Makefile_in.dpatch has been added in order to
    make yacas compile against the latest GCC version.

 -- Muammar El Khatib <muammarelkhatib@gmail.com>  Fri, 05 Feb 2010 08:49:55 -0430

yacas (1.2.2-4) unstable; urgency=low

  * Bump Standards-Version to 3.8.3
  * The problem in the yacas's documentation due a missing javascript has been
    fixed. The needed *.js files are provided now. (Closes: #523304)
  * Yacas now depends on gnuplot so that the plot functions will give visual
    output. (Closes: #546805)
  * config.sub and config.guess files have been updated, so yacas does not FTBFS
    in GNU/kFreeBSD anymore.  (Closes: #493734)
  * debian/control: autotools-dev has been added in the Build-Depends field. 

 -- Muammar El Khatib <muammarelkhatib@gmail.com>  Sun, 04 Oct 2009 17:36:16 -0430

yacas (1.2.2-3.1) unstable; urgency=low

  * Non-maintainer upload.
  * Fix gcc-4.3 FTBFS, patch by KiBi (Closes: #456066)

 -- Marc 'HE' Brockschmidt <he@debian.org>  Sun, 16 Mar 2008 21:36:10 +0100

yacas (1.2.2-3) unstable; urgency=low

  * Bump Standards-Version to 3.7.3
  * lynx was erased from Build-Depends field.
  * '/usr/share/doc/yacas/changelog.gz does not contain a changelog' bug has
    been fixed in this revision. (Closes: #456307)

 -- Muammar El Khatib <muammarelkhatib@gmail.com>  Sat, 22 Dec 2007 20:29:21 -0430

yacas (1.2.2-2) unstable; urgency=low

  * 'yacas: postinst failure compiling emacs elisp files' bug has been fixed.
    (Closes: #453748)
  * 'yacas: fails to configure with emacsen installed' bug has been fixed.
    (Closes: #453744)
  * yacas no longer ships any .el files hence debian/emacsen-* files has been
    deleted. 
  * debian/control: yacas is no longer suggesting emacs and yacas-proteus.
  * debian/copyright: the copyritght file has been improved in this revision.

 -- Muammar El Khatib <muammarelkhatib@gmail.com>  Sun, 02 Dec 2007 01:24:01 -0400

yacas (1.2.2-1) unstable; urgency=low

  * New upstream release (Closes: #424878)
  * A symlink against books.html has been created. (Closes: #424889)
  * /usr/share/doc/yacas-doc/html/proteusbooks.html no longer remains after 
    purging since yacas-proteus is not being provided anymore.
    (Closes: #358401)
  * A watch file was added in this revision.
  * yacas.menu file was changed to fit new policy about menu files.

 -- Muammar El Khatib <muammarelkhatib@gmail.com>  Fri, 21 Sep 2007 11:26:59 -0400

yacas (1.0.57-3) unstable; urgency=low

  * New maintainer. (Closes: #405734)
  * Bump Standards-Version to 3.7.2.
  * The yacas' rpatch to /tmp/buildd/yacas-1.0.57/debian/yacas/usr/lib has
    been fixed using chrpath -d. (Closes: #399227)
  * The yacas' rpath to /tmp/yacas/usr/bin/yacas has been fixed using chrpath
    -d. Thanks to Michael Hanke for the patch. (Closes: #399226)
  * Commented lines in rules file were removed since they were useless.
  * Descriptions of the package were corrected because they didn't have the
    webpage of the upstream author.
  * The debhelper version was changed to >= 5. 
  * Added Build-depends on chrpath and dpatch. 
  * Added patch: 02_changing_Makefile_in.diff because in old uploads
    Makefile.in was changed by hand and lsdiff complained. 
  * Acknowledge NMUs (Closes: #376634, #382783, #379261, #379895, #295413, 
    #266283, #332298, #333589, #338164)
  * Thanks to Steffen Joeris.

 -- Muammar El Khatib <muammarelkhatib@gmail.com>  Tue, 27 Feb 2007 13:57:58 -0400

yacas (1.0.57-2.4) unstable; urgency=low

  * NMU
  * debian/control: Build-depend on automake1.9. (Closes: #376634)

 -- Eric Dorland <eric@debian.org>  Sat,  2 Sep 2006 21:23:35 -0400

yacas (1.0.57-2.3) unstable; urgency=low

  * Non-maintainer upload.
  * Call ./configure with --with-script-dir=/usr/share/yacas and make
    install with an appropriate scriptdir and htmldir variable in
    debian/rules so yacas can find the necessary files. (Closes: #382783) 

 -- Arjan Oosting <arjanoosting@home.nl>  Tue, 15 Aug 2006 00:41:05 +0200

yacas (1.0.57-2.2) unstable; urgency=medium

  * Non-Maintainer Upload, to fix two different Failure To Build From Source
    issues.  Thanks to Arjan Oosting for the patches.
  * Added build dependency on libxi-dev. (Closes: #379261)
  * Modified debian/rules to call make install with datarootdir variable.
    (Closes: #379895)
  * Fixed YacasNotebook/yacas-notebook.el, so that it does not complain upon
    installing.  Thanks to Braun Gabor for the patch. (Closes: #295413).
  * Updated DH_COMPAT and debhelper build-dependency to version 4.
    Removed yacas.conffiles and yacas-proteus.conffiles since they weren't
    needed anymore.

 -- Margarita Manterola <marga@debian.org>  Sun, 30 Jul 2006 15:50:41 -0300

yacas (1.0.57-2.1) unstable; urgency=low

  * NMU to fix the bugs listed below, as the maintainer appears to be MIA.
  * Rebuild for C++ and FLTK transitions.  (Closes: #266283.)
  * src/errors.h: remove some gratuitous casts that led to build failures
    on 64-bit systems.
  * src/obmalloc.cpp: likewise, remove the totally bogus redefinition of
    off_t.  (Together with the previous change, closes: #332298.)
  * Update config.sub and config.guess from autotools-dev 20050803.1.
    (Closes: #333589.)
  * Add build dependencies on libxmu-dev and libxt-dev.  (Closes: #338164.)

 -- Aaron M. Ucko <ucko@debian.org>  Wed,  9 Nov 2005 21:01:16 -0500

yacas (1.0.57-2) unstable; urgency=high



=== debian/control ===
Source: yacas
Section: math
Priority: extra
Maintainer: Muammar El Khatib <muammar@debian.org>
Standards-Version: 3.9.2
Build-Depends: libfltk1.1-dev,debhelper (>=5),docbook-to-man, libgsl0-dev, automake, autoconf, freeglut3-dev, libxmu-dev, libxt-dev, libxi-dev, chrpath, quilt (>= 0.40), autotools-dev
Homepage: http://yacas.sourceforge.net

Package: yacas
Architecture: any
Depends: ${shlibs:Depends}, lynx | www-browser, yacas-doc, gnuplot, ${misc:Depends}
Suggests: texmacs
Description: Computer Algebra System
 Yacas is a small and highly flexible computer algebra language.
 .
 The syntax is very close to Mathematica. The distribution contains
 a small library of mathematical functions, but its real strength
 is in the language in which you can easily write your own symbolic
 manipulation algorithms. It supports arbitrary precision arithmetic.

Package: yacas-doc
Architecture: all
Section: doc
Depends: ${misc:Depends}
Suggests: yacas (= ${binary:Version})
Description: Documentation for Yacas
 Yet Another Computer Algebra System is a small and highly
 flexible computer algebra language.
 .
 The syntax is very close to Mathematica. The distribution contains
 a small library of mathematical functions, but its real strength
 is in the language in which you can easily write your own symbolic
 manipulation algorithms. It supports arbitrary precision arithmetic.
 This package contains the html documentation for yacas.

=== debian/rules ===
#!/usr/bin/make -f
# Copyright 2000 Gopal Narayanan
# Modified for debhelper by GN Sep. 1 2000
# needed to use the dpatch tools (like dpatch-edit-patch)
include /usr/share/quilt/quilt.make

package=yacas
#libpackage=libyacas
#proteus-package=yacas-proteus
package-doc=yacas-doc

ddir=`pwd`/debian/$(package)
#ddir-lib=`pwd`/debian/$(libpackage)
#ddir-proteus=`pwd`/debian/$(proteus-package)
ddir-dic=`pwd`/debian/$(package-doc)

arch=`dpkg --print-architecture`
os = 'linux'
ABOVE=$(shell pwd)

INSTALL =/usr/bin/install
GZIP    =/bin/gzip
INSTALL_DATA =$(INSTALL) -m 644 -o root -g root
GZIP_DATA =$(GZIP) -9

CXXFLAGS = $(shell dpkg-buildflags --get CXXFLAGS) -fpermissive

build: build-arch build-indep
build-arch: build-stamp
build-indep: build-stamp
build-stamp: $(QUILT_STAMPFN)
build-stamp:
	dh_testdir
	./makemake
	CXXFLAGS="$(CXXFLAGS)" ./configure --prefix=/usr --with-numlib=native \
	--enable-server \
	--sysconfdir=/etc --with-script-dir=/usr/share/yacas --disable-rpath
	$(MAKE) sysconfdir=/etc
	touch build-stamp
clean: unpatch
clean:
#	$(checkdir)
	dh_testdir
	dh_testroot
	-rm -f build-stamp install-stamp
	[ ! -f Makefile ] || $(MAKE) distclean
	find . \( -name config.sub -o -name config.guess \) -print0 | xargs -0 -r rm -f \;
	dh_clean

install: install-stamp
install-stamp: build-stamp
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs
	dh_installdocs -a
	$(MAKE) prefix=`pwd`/debian/yacas/usr \
		datarootdir=`pwd`/debian/yacas/usr/share \
		scriptdir=`pwd`/debian/yacas/usr/share/yacas \
		htmldir=`pwd`/debian/yacas/usr/share/yacas/documentation \
		sysconfdir=`pwd`/debian/yacas/etc install 
	above=`pwd`
	$(INSTALL) -d debian/yacas-doc/usr/share/doc/$(package-doc)/html
	-mv debian/yacas/usr/share/yacas/documentation/* debian/yacas-doc/usr/share/doc/$(package-doc)/html/.
	-rm -rf debian/yacas/usr/share/yacas/documentation
	cp $(CURDIR)/manmake/*.js $(CURDIR)/debian/yacas-doc/usr/share/doc/yacas-doc/html/
	
	

	touch install-stamp

binary-indep: build install
	dh_testdir -i
	dh_testroot -i
	dh_installdirs -i
	dh_installdocs -i
	dh_installchangelogs -i
	dh_strip -i
	dh_compress -i -X.html -Xhints -X.gif
	dh_fixperms -i
	dh_installdeb -i
	dh_gencontrol -i
	dh_md5sums -i
	dh_builddeb -i


binary-arch: build install
	dh_testdir -a
	dh_testroot -a
	dh_installdirs -a	
	dh_installdocs -pyacas AUTHORS TODO 
	-rm $(ddir)/usr/bin/ytxt2tex
	dh_installchangelogs -a
	-rm -rf $(ddir)/usr/share/yacas/manmake
	dh_installmenu -a
	docbook-to-man debian/yacas.sgml > debian/yacas.1
	dh_link usr/share/man/man1/yacas.1 usr/share/man/man1/yacas_client.1
	dh_installman -pyacas debian/yacas.1
	dh_makeshlibs -pyacas
	dh_strip -a
	dh_compress -a
	dh_fixperms -a
	dh_installdeb -a
	dh_shlibdeps -a
	dh_gencontrol -a
	dh_md5sums -a
	dh_builddeb -a

binary: binary-indep binary-arch

.PHONY: build clean binary-indep binary-arch binary install

## yacas 1.3.1

=== debian/changelog ===
yacas (1.3.1-1) unstable; urgency=low

  * New upstream release.

 -- Muammar El Khatib <muammar@debian.org>  Sun, 04 Dec 2011 02:15:58 +0100

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: extra
 Maintainer: Muammar El Khatib <muammar@debian.org>
 Standards-Version: 3.9.2
-Build-Depends: libfltk1.1-dev,debhelper (>=5),docbook-to-man, libgsl0-dev, automake, autoconf, freeglut3-dev, libxmu-dev, libxt-dev, libxi-dev, chrpath, quilt (>= 0.40), autotools-dev
+Build-Depends: libfltk1.1-dev,debhelper (>=5),docbook-to-man, libgsl0-dev, automake, autoconf, freeglut3-dev, libxmu-dev, libxt-dev, libxi-dev, chrpath, autotools-dev, quilt
 Homepage: http://yacas.sourceforge.net
 
 Package: yacas

## yacas 1.3.2

=== debian/changelog ===
yacas (1.3.2-1) unstable; urgency=low

  * Bump Standards-Version to 3.9.3. No changes were needed.
  * New upstream release.
  * Dropped unneeded build dependency on quilt as well as calls to it in
    debian/rules file.

 -- Muammar El Khatib <muammar@debian.org>  Sun, 20 May 2012 11:57:13 +0200

=== debian/control ===
--- 
+++ 
@@ -2,8 +2,8 @@
 Section: math
 Priority: extra
 Maintainer: Muammar El Khatib <muammar@debian.org>
-Standards-Version: 3.9.2
-Build-Depends: libfltk1.1-dev,debhelper (>=5),docbook-to-man, libgsl0-dev, automake, autoconf, freeglut3-dev, libxmu-dev, libxt-dev, libxi-dev, chrpath, autotools-dev, quilt
+Standards-Version: 3.9.3
+Build-Depends: libfltk1.1-dev,debhelper (>=5),docbook-to-man, libgsl0-dev, automake, autoconf, freeglut3-dev, libxmu-dev, libxt-dev, libxi-dev, chrpath, autotools-dev
 Homepage: http://yacas.sourceforge.net
 
 Package: yacas

=== debian/rules ===
--- 
+++ 
@@ -2,7 +2,6 @@
 # Copyright 2000 Gopal Narayanan
 # Modified for debhelper by GN Sep. 1 2000
 # needed to use the dpatch tools (like dpatch-edit-patch)
-include /usr/share/quilt/quilt.make
 
 package=yacas
 #libpackage=libyacas
@@ -37,7 +36,6 @@
 	--sysconfdir=/etc --with-script-dir=/usr/share/yacas --disable-rpath
 	$(MAKE) sysconfdir=/etc
 	touch build-stamp
-clean: unpatch
 clean:
 #	$(checkdir)
 	dh_testdir
@@ -58,14 +56,14 @@
 		datarootdir=`pwd`/debian/yacas/usr/share \
 		scriptdir=`pwd`/debian/yacas/usr/share/yacas \
 		htmldir=`pwd`/debian/yacas/usr/share/yacas/documentation \
-		sysconfdir=`pwd`/debian/yacas/etc install 
+		sysconfdir=`pwd`/debian/yacas/etc install
 	above=`pwd`
 	$(INSTALL) -d debian/yacas-doc/usr/share/doc/$(package-doc)/html
 	-mv debian/yacas/usr/share/yacas/documentation/* debian/yacas-doc/usr/share/doc/$(package-doc)/html/.
 	-rm -rf debian/yacas/usr/share/yacas/documentation
 	cp $(CURDIR)/manmake/*.js $(CURDIR)/debian/yacas-doc/usr/share/doc/yacas-doc/html/
-	
-	
+
+
 
 	touch install-stamp
 
@@ -87,8 +85,8 @@
 binary-arch: build install
 	dh_testdir -a
 	dh_testroot -a
-	dh_installdirs -a	
-	dh_installdocs -pyacas AUTHORS TODO 
+	dh_installdirs -a
+	dh_installdocs -pyacas AUTHORS TODO
 	-rm $(ddir)/usr/bin/ytxt2tex
 	dh_installchangelogs -a
 	-rm -rf $(ddir)/usr/share/yacas/manmake

## yacas 1.3.3

=== debian/changelog ===
yacas (1.3.3-2) unstable; urgency=low

  * Bump Standards-Version to 3.9.4. No changes were needed.
  * Use of fortified libc functions in the make target.
  * Migration to unstable.

 -- Muammar El Khatib <muammar@debian.org>  Tue, 07 May 2013 20:09:17 +0200

yacas (1.3.3-1) experimental; urgency=low

  * New upstream release.
  * When compiling the new version of yacas, it was found that the distclean
    target didn't get rid of all changes made when configuring the package.
    Thus, it was necessary to execute a dpkg-source --commit to recover those
    changes in this patch file. See file: 01_locchanges.patch

 -- Muammar El Khatib <muammar@debian.org>  Sat, 22 Dec 2012 09:50:06 +0100

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: math
 Priority: extra
 Maintainer: Muammar El Khatib <muammar@debian.org>
-Standards-Version: 3.9.3
+Standards-Version: 3.9.4
 Build-Depends: libfltk1.1-dev,debhelper (>=5),docbook-to-man, libgsl0-dev, automake, autoconf, freeglut3-dev, libxmu-dev, libxt-dev, libxi-dev, chrpath, autotools-dev
 Homepage: http://yacas.sourceforge.net

=== debian/rules ===
--- 
+++ 
@@ -34,7 +34,7 @@
 	CXXFLAGS="$(CXXFLAGS)" ./configure --prefix=/usr --with-numlib=native \
 	--enable-server \
 	--sysconfdir=/etc --with-script-dir=/usr/share/yacas --disable-rpath
-	$(MAKE) sysconfdir=/etc
+	CXXFLAGS="$(CXXFLAGS)" $(MAKE) sysconfdir=/etc
 	touch build-stamp
 clean:
 #	$(checkdir)

=== debian/watch ===
# Compulsory line, this is a version 3 file
version=3

# Uncomment to find new files on sourceforge, for debscripts >= 2.9
 http://yacas.sourceforge.net/downloads.html \
   backups/yacas-(.*)\.tar\.gz

## yacas 1.3.6

=== debian/changelog ===
yacas (1.3.6-2.3) unstable; urgency=medium

  * Non-maintainer upload.
  * Add build dependency autoconf-archive. (Closes: #1053728)

 -- Bastian Germann <bage@debian.org>  Mon, 09 Oct 2023 20:28:32 +0200

yacas (1.3.6-2.2) unstable; urgency=medium

  * Non-maintainer upload.
  * Drop outdated README.source. (Closes: #1053222)
  * Drop unnecessary build dependency FLTK. (Closes: #974631)
  * Partly fix cross build. (Closes: #924416)

 -- Bastian Germann <bage@debian.org>  Fri, 29 Sep 2023 17:12:48 +0200

yacas (1.3.6-2.1) unstable; urgency=medium

  * Non maintainer upload by the Reproducible Builds team.
  * No source change upload to rebuild on buildd with .buildinfo files.

 -- Holger Levsen <holger@debian.org>  Sun, 03 Jan 2021 16:29:21 +0100

yacas (1.3.6-2) unstable; urgency=medium

  * yacasinit.ys is now installed in /usr/share/yacas/scripts (Closes: #815924).
  * debian/watch file now points to github.

 -- Muammar El Khatib <muammar@debian.org>  Thu, 25 Feb 2016 22:17:50 +0100

yacas (1.3.6-1) unstable; urgency=medium

  * New upstream release.
  * Bump Standards-Version to 3.9.6. No changes were needed.
  * Updated DH_COMPAT and debhelper build-dependency to version 9.
  * The package compiles using hardening options.
  * In this revision, yacas can be built reproducibly (Closes: #791845).
    Thanks to Reiner Herrmann for providing a patch.

 -- Muammar El Khatib <muammar@debian.org>  Sat, 26 Dec 2015 14:52:39 +0100

=== debian/control ===
--- 
+++ 
@@ -2,8 +2,21 @@
 Section: math
 Priority: extra
 Maintainer: Muammar El Khatib <muammar@debian.org>
-Standards-Version: 3.9.4
-Build-Depends: libfltk1.1-dev,debhelper (>=5),docbook-to-man, libgsl0-dev, automake, autoconf, freeglut3-dev, libxmu-dev, libxt-dev, libxi-dev, chrpath, autotools-dev
+Standards-Version: 3.9.6
+Build-Depends: debhelper (>=9),
+               docbook-to-man,
+               libgsl-dev,
+               automake,
+               autoconf,
+               autoconf-archive,
+               freeglut3-dev,
+               libxmu-dev,
+               libxt-dev,
+               libxi-dev,
+               chrpath,
+               autotools-dev,
+               libjs-mathjax,
+               texlive-latex-base
 Homepage: http://yacas.sourceforge.net
 
 Package: yacas

=== debian/rules ===
--- 
+++ 
@@ -1,7 +1,4 @@
 #!/usr/bin/make -f
-# Copyright 2000 Gopal Narayanan
-# Modified for debhelper by GN Sep. 1 2000
-# needed to use the dpatch tools (like dpatch-edit-patch)
 
 package=yacas
 #libpackage=libyacas
@@ -22,6 +19,9 @@
 INSTALL_DATA =$(INSTALL) -m 644 -o root -g root
 GZIP_DATA =$(GZIP) -9
 
+DPKG_EXPORT_BUILDFLAGS = 1
+include /usr/share/dpkg/buildflags.mk
+
 CXXFLAGS = $(shell dpkg-buildflags --get CXXFLAGS) -fpermissive
 
 build: build-arch build-indep
@@ -31,10 +31,10 @@
 build-stamp:
 	dh_testdir
 	./makemake
-	CXXFLAGS="$(CXXFLAGS)" ./configure --prefix=/usr --with-numlib=native \
-	--enable-server \
-	--sysconfdir=/etc --with-script-dir=/usr/share/yacas --disable-rpath
+	CXXFLAGS="$(CXXFLAGS)" dh_auto_configure -- --prefix=/usr --with-numlib=native \
+	--enable-server --sysconfdir=/etc --disable-rpath
 	CXXFLAGS="$(CXXFLAGS)" $(MAKE) sysconfdir=/etc
+	make texdocs
 	touch build-stamp
 clean:
 #	$(checkdir)
@@ -49,22 +49,20 @@
 install-stamp: build-stamp
 	dh_testdir
 	dh_testroot
-	dh_clean -k
+	dh_prep
 	dh_installdirs
 	dh_installdocs -a
 	$(MAKE) prefix=`pwd`/debian/yacas/usr \
 		datarootdir=`pwd`/debian/yacas/usr/share \
-		scriptdir=`pwd`/debian/yacas/usr/share/yacas \
-		htmldir=`pwd`/debian/yacas/usr/share/yacas/documentation \
+		scriptdir=`pwd`/debian/yacas/usr/share/yacas/scripts \
 		sysconfdir=`pwd`/debian/yacas/etc install
+	rm -rf debian/yacas/usr/share/yacas/documentation
+	cp $(CURDIR)/manmake/*.pdf $(CURDIR)/debian/yacas-doc/usr/share/doc/yacas-doc/
+		#html htmldir=`pwd`/debian/yacas/usr/share/yacas/documentation \
 	above=`pwd`
-	$(INSTALL) -d debian/yacas-doc/usr/share/doc/$(package-doc)/html
-	-mv debian/yacas/usr/share/yacas/documentation/* debian/yacas-doc/usr/share/doc/$(package-doc)/html/.
-	-rm -rf debian/yacas/usr/share/yacas/documentation
-	cp $(CURDIR)/manmake/*.js $(CURDIR)/debian/yacas-doc/usr/share/doc/yacas-doc/html/
-
-
-
+	#html $(INSTALL) -d debian/yacas-doc/usr/share/doc/$(package-doc)/html
+	#html -mv debian/yacas/usr/share/yacas/documentation/* debian/yacas-doc/usr/share/doc/$(package-doc)/html/.
+	#html cp $(CURDIR)/manmake/*.js $(CURDIR)/debian/yacas-doc/usr/share/doc/yacas-doc/html/
 	touch install-stamp
 
 binary-indep: build install
@@ -74,7 +72,7 @@
 	dh_installdocs -i
 	dh_installchangelogs -i
 	dh_strip -i
-	dh_compress -i -X.html -Xhints -X.gif
+	dh_compress -i -X.pdf
 	dh_fixperms -i
 	dh_installdeb -i
 	dh_gencontrol -i

## yacas 1.9.1%2Bdfsg

=== cyacas/libyacas_mp/benchmark/CMakeLists.txt ===
#
#
# This file is part of yacas.
# Yacas is free software: you can redistribute it and/or modify
# it under the terms of the GNU Lesset General Public License as
# published by the Free Software Foundation, either version 2.1
# of the License, or (at your option) any later version.
#
# Yacas is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU Lesser General Public License for more details.
#
# You should have received a copy of the GNU Lesser General Public
# License along with yacas.  If not, see <http://www.gnu.org/licenses/>.
#
#

find_package (Threads REQUIRED)
find_package (benchmark REQUIRED)

add_executable (yacas_mp_nn_benchmark src/nn_benchmark.cpp)
target_link_libraries (yacas_mp_nn_benchmark libyacas_mp benchmark::benchmark benchmark::benchmark_main Threads::Threads)

add_custom_target(bench COMMAND yacas_mp_nn_benchmark --benchmark_min_time=0.1)
